using System;

namespace ConsoleApp1
{
    internal class Program
    {
        static int st(int x, int n)
        {
            int br = 1;
            for(int i=0;i< n; i++)
            {
                br *= x;
            }
            return br;
        }
        static int napraviBroj(int a, int b)
        {
            int stepen = 0;
            int broj = 0;
            while (a != 0 || b != 0)
            {
                int ac = a % 10, bc = b % 10;
                if (ac == bc)
                {
                    broj += ac * st(10, stepen);
                    stepen++;
                    broj += ac * st(10, stepen);
                    stepen++;
                }
                else
                {
                    broj += Math.Max(ac, bc) * st(10, stepen);
                    stepen++;
                }
                a /= 10;
                b /= 10;
            }
            return broj;
        }
        static void Main(string[] args)
        {
            int a = int.Parse(Console.ReadLine());
            int b = int.Parse(Console.ReadLine());
            Console.WriteLine(napraviBroj(a, b));
        }
    }
}